Bug 1816733 - Review Request: rust-libslirp - High-level bindings & helper process for libslirp
Summary: Review Request: rust-libslirp - High-level bindings & helper process for libs...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 15:51 UTC by Marc-Andre Lureau
Modified: 2020-05-12 05:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-12 05:04:52 UTC
Type: ---
igor.raits: fedora-review+


Attachments (Terms of Use)

Description Marc-Andre Lureau 2020-03-24 15:51:33 UTC
Spec URL: https://elmarco.fedorapeople.org/rust-libslirp.spec
SRPM URL: https://elmarco.fedorapeople.org/rust-libslirp-4.0.0-1.fc33.src.rpm
Description: High-level bindings & helper process for libslirp
Fedora Account System Username: elmarco

Comment 1 Igor Raits 2020-03-25 18:44:01 UTC
Can you put a comment why you disable tests? Also, any reason why you use --all-features?

Comment 2 Marc-Andre Lureau 2020-03-25 18:53:41 UTC
(In reply to Igor Gnatenko from comment #1)
> Can you put a comment why you disable tests? Also, any reason why you use
> --all-features?

The rust tests require etherparse, but they are very incomplete. I am considering removing them.

I added python/scapy tests, however, they have a number of dependencies (python, scapy, dbus..): https://gitlab.freedesktop.org/slirp/libslirp-rs/-/blob/master/Makefile. I can try to make that work on Fedora/koji, if it's necesary.

I use --all-features, as otherwise the libslirp-helper binary is not built.

thanks!

Comment 3 Marc-Andre Lureau 2020-04-01 15:45:46 UTC
Unfortunately, I can't run the make test on koji: https://kojipkgs.fedoraproject.org//work/tasks/6009/42946009/build.log

Perhaps I should open a bug for koji to allow unshare.. (fwiw, it works in gitlab CI: https://gitlab.freedesktop.org/slirp/libslirp-rs/-/jobs/2040152)

With this result, Igor, is the current version ok?

Comment 4 Marc-Andre Lureau 2020-04-27 09:33:07 UTC
ping Igor?

Comment 5 Igor Raits 2020-04-28 15:19:34 UTC
Sorry, I was quite busy lately.

APPROVED.

Comment 6 Gwyn Ciesla 2020-04-28 18:15:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-libslirp

Comment 7 Marc-Andre Lureau 2020-05-06 20:37:20 UTC
I managed to get it to build in rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=1504659

What's the process now to get it in f32?

Comment 8 Igor Raits 2020-05-12 05:04:52 UTC
We've discussed that over IRC and it is already in bodhi for F32.


Note You need to log in before you can comment on or make changes to this bug.